<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/print_cobol_error_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>03/31/83  print_cobol_error_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in print_cobol_error_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry: print_cobol_error_:  02/08/83  print_cobol_error_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>Function: allows the COBOL programmer to display the cause and
<span id="L12" class="LineNr">12 </span>location of a runtime error.  It is meaningful only when called from
<span id="L13" class="LineNr">13 </span>within a USE procedure in the DECLARATIVE section of a COBOL program.
<span id="L14" class="LineNr">14 </span>The error information displayed pertains to the error causing the
<span id="L15" class="LineNr">15 </span>current execution of the USE procedure.  This is identical to the
<span id="L16" class="LineNr">16 </span>messages that would have been printed on the terminal before aborting
<span id="L17" class="LineNr">17 </span>the program <span class="textRainbow_lv0_p0">(</span>i.e.<span class="textRainbow_lv0_o0">,</span> signalling the &quot;error&quot; condition<span class="textRainbow_lv0_p0">)</span> had no USE
<span id="L18" class="LineNr">18 </span>procedure been provided.
<span id="L19" class="LineNr">19 </span>
<span id="L20" class="LineNr">20 </span>The print_cobol_error_ entry point displays the error information
<span id="L21" class="LineNr">21 </span>through the user_output I/O switch.
<span id="L22" class="LineNr">22 </span>
<span id="L23" class="LineNr">23 </span>
<span id="L24" class="LineNr">24 </span>Syntax:
<span id="L25" class="LineNr">25 </span>call &quot;print_cobol_error_&quot;.
<span id="L26" class="LineNr">26 </span>
<span id="L27" class="LineNr">27 </span>
<span id="L28" class="LineNr">28 </span>:Entry:  switch:  02/08/83 print_cobol_error_$switch
<span id="L29" class="LineNr">29 </span>
<span id="L30" class="LineNr">30 </span>
<span id="L31" class="LineNr">31 </span>Function:  This entry point outputs the error information to a
<span id="L32" class="LineNr">32 </span>specified I/O switch.
<span id="L33" class="LineNr">33 </span>
<span id="L34" class="LineNr">34 </span>
<span id="L35" class="LineNr">35 </span>Syntax:
<span id="L36" class="LineNr">36 </span>01 switch-name pic x<span class="textRainbow_lv0_p0">(</span>32<span class="textRainbow_lv0_p0">)</span>.
<span id="L37" class="LineNr">37 </span>call &quot;print_cobol_error_$switch&quot; using switch-name.
<span id="L38" class="LineNr">38 </span>
<span id="L39" class="LineNr">39 </span>
<span id="L40" class="LineNr">40 </span>Arguments:
<span id="L41" class="LineNr">41 </span>switch-name
<span id="L42" class="LineNr">42 </span>   is the name of an I/O switch that is open for output.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> This
<span id="L43" class="LineNr">43 </span>   includes user_output and error_output, as well as the I/O switch
<span id="L44" class="LineNr">44 </span>   associated with any open external COBOL file, i.e., the
<span id="L45" class="LineNr">45 </span>   internal-file-name as specified in the SELECT clause of the
<span id="L46" class="LineNr">46 </span>   ENVIRONMENT DIVISION.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
